# Index – Symbols

- ! (pdb command)
- !=
  - operator
- %
  - operator
- % formatting, [1]
- % interpolation, [1]
- %=
  - augmented assignment
- &
  - operator
- &=
  - augmented assignment
- *
  - in expression lists
  - in function calls
  - operator
  - statement, [1]
- **
  - in dictionary displays
  - in function calls
  - operator
  - statement, [1]
- **=
  - augmented assignment
- *=
  - augmented assignment
- +
  - operator
- +=
  - augmented assignment
- -
  - operator
- --check-hash-based-pycs default|always|never
  - command line option
- --create <tarfile> <source1> ... <sourceN>
  - tarfile command line option
- --create <zipfile> <source1> ... <sourceN>
  - zipfile command line option
- --details
  - inspect command line option
- --extract <tarfile> [<output_dir>]
  - tarfile command line option
- --extract <zipfile> <output_dir>
  - zipfile command line option
- --help
  - command line option
  - trace command line option
- --ignore-dir=<dir>
  - trace command line option
- --ignore-module=<mod>
  - trace command line option
- --info
  - zipapp command line option
- --invalidation-mode [timestamp|checked-hash|unchecked-hash]
  - compileall command line option
- --list <tarfile>
  - tarfile command line option
- --list <zipfile>
  - zipfile command line option
- --locals
  - unittest command line option
- --sort-keys
  - command line option
- --test <tarfile>
  - tarfile command line option
- --test <zipfile>
  - zipfile command line option
- --user-base
  - site command line option
- --user-site
  - site command line option
- --version
  - command line option
  - trace command line option
- -=
  - augmented assignment
- -> (return annotation assignment)
- -?
  - command line option
- -a, --annotate
  - pickletools command line option
- -B
  - command line option
- -b
  - command line option
  - compileall command line option
- -b, --buffer
  - unittest command line option
- -c <command>
  - command line option
- -c <tarfile> <source1> ... <sourceN>
  - tarfile command line option
- -c <zipfile> <source1> ... <sourceN>
  - zipfile command line option
- -c, --catch
  - unittest command line option
- -c, --compress
  - zipapp command line option
- -c, --count
  - trace command line option
- -C, --coverdir=<dir>
  - trace command line option
- -d
  - command line option
- -d destdir
  - compileall command line option
- -E
  - command line option
- -e <tarfile> [<output_dir>]
  - tarfile command line option
- -e <zipfile> <output_dir>
  - zipfile command line option
- -e, --exact
  - tokenize command line option
- -f
  - compileall command line option
- -f, --failfast
  - unittest command line option
- -f, --file=<file>
  - trace command line option
- -g, --timing
  - trace command line option
- -h
  - command line option
- -h, --help
  - command line option
  - timeit command line option
  - tokenize command line option
  - zipapp command line option
- -I
  - command line option
- -i
  - command line option
- -i list
  - compileall command line option
- -J
  - command line option
- -j N
  - compileall command line option
- -k
  - unittest command line option
- -l
  - compileall command line option
- -l <tarfile>
  - tarfile command line option

- -l <zipfile>
  - zipfile command line option
- -l, --indentlevel=<num>
  - pickletools command line option
- -l, --listfuncs
  - trace command line option
- -m <mainfn>, --main=<mainfn>
  - zipapp command line option
- -m <module-name>
  - command line option
- -m, --memo
  - pickletools command line option
- -m, --missing
  - trace command line option
- -n N, --number=N
  - timeit command line option
- -O
  - command line option
- -o <output>, --output=<output>
  - zipapp command line option
- -o, --output=<file>
  - pickletools command line option
- -OO
  - command line option
- -p <interpreter>, --python=<interpreter>
  - zipapp command line option
- -p, --pattern pattern
  - unittest-discover command line option
- -p, --preamble=<preamble>
  - pickletools command line option
- -p, --process
  - timeit command line option
- -q
  - command line option
  - compileall command line option
- -R
  - command line option
- -r
  - compileall command line option
- -r N, --repeat=N
  - timeit command line option
- -R, --no-report
  - trace command line option
- -r, --report
  - trace command line option
- -S
  - command line option
- -s
  - command line option
- -s S, --setup=S
  - timeit command line option
- -s, --start-directory directory
  - unittest-discover command line option
- -s, --summary
  - trace command line option
- -t <tarfile>
  - tarfile command line option
- -t <zipfile>
  - zipfile command line option
- -t, --top-level-directory directory
  - unittest-discover command line option
- -t, --trace
  - trace command line option
- -T, --trackcalls
  - trace command line option
- -u
  - command line option
- -u, --unit=U
  - timeit command line option
- -V
  - command line option
- -v
  - command line option
- -v, --verbose
  - tarfile command line option
  - timeit command line option
  - unittest-discover command line option
- -W arg
  - command line option
- -X
  - command line option
- -x
  - command line option
- -x regex
  - compileall command line option
- ...
- .ini
  - file
- .pdbrc
  - file
- .pypirc file
- /
  - operator
- //
  - operator
- //=
  - augmented assignment
- /=
  - augmented assignment
- 2to3
- : package
  - namespace
  - portion
- <
  - operator
- <<
  - operator
- <<=
  - augmented assignment
- <=
  - operator
- <protocol>_proxy
- =
  - assignment statement
- ==
  - operator
- >
  - operator
- >=
  - operator
- >>
  - operator
- >>=
  - augmented assignment
- >>>
- @
  - operator
  - statement
- ^
  - operator
- ^=
  - augmented assignment
- |
  - operator
- |=
  - augmented assignment
- ~
  - operator